package com.loafle.overflow.apikey.dao;

import com.loafle.overflow.apikey.model.Apikey;
import com.loafle.overflow.commons.dao.JPABaseDAO;


import javax.persistence.Query;

/**
 * Created by root on 17. 6. 1.
 */
public class JPAApiKeyDao  extends JPABaseDAO<Apikey> implements ApiKeyDao {
    public Apikey findByApiKey(Apikey apikey) {

        Query query = getEntityManager().createNativeQuery("SELECT ak.* FROM API_KEY ak WHERE ak.API_KEY = :apikey", Apikey.class);
        query.setParameter("apikey", apikey.getApiKey());

        Apikey ak = null;
        try {
            ak = (Apikey)query.getSingleResult();
        }catch(Exception e) {
            e.printStackTrace();
        }finally {
            return ak;
        }

    }
}
