package com.loafle.overflow.sensor.dao;

import com.loafle.overflow.sensor.model.Sensor;
import com.loafle.overflow.sensor.model.SensorItem;
import com.loafle.overflow.sensor.model.SensorItemMapping;
import org.junit.Before;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by root on 17. 6. 9.
 */
public class JPASensorItemMappingDaoTest {

    private SensorItemMappingDao sensorItemMappingDao = null;

    @Before
    public void before() {
        this.sensorItemMappingDao = new JPASensorItemMappingDao();
    }


    @Test
    public void create() {

        SensorItemMapping mapping = new SensorItemMapping();

        Sensor sensor = new Sensor();

        sensor.setId(1L);

        SensorItem sensorItem = new SensorItem();

        sensorItem.setId(1L);

        mapping.setSensor(sensor);

        mapping.setSensorItem(sensorItem);

        this.sensorItemMappingDao.create(mapping);

    }

    @Test
    public void list() {

        Sensor sensor = new Sensor();

        sensor.setId(1L);

        List<SensorItemMapping> ml = this.sensorItemMappingDao.findAllBySensorID(sensor);

        System.out.println(ml.size());

    }

}