package com.loafle.overflow.target.dao;

import com.loafle.overflow.commons.dao.JPABaseDAO;
import com.loafle.overflow.target.model.Target;

import javax.persistence.Query;
import java.util.List;

/**
 * Created by root on 17. 6. 5.
 */
public class JPATargetDao extends JPABaseDAO<Target> implements TargetDao {

    public List<Target> findAll(Target target) {

        Query query = getEntityManager().createNativeQuery("SELECT tg.* FROM Target tg WHERE tg.MEMBER_ID = :memberId", Target.class);
        query.setParameter("memberId", target.getMember().getId());

        List<Target> targets = null;
        try {
            targets = (List<Target>)query.getResultList();
        }catch(Exception e) {
            e.printStackTrace();
        }finally {
            return targets;
        }


    }
}
