package com.loafle.overflow.crawler.dao;


import com.loafle.overflow.crawler.model.Crawler;
import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;

import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by geek@loafle.com on 17. 6. 8.
 */
@Ignore
public class JPACrawlerDAOTest {

    private JPACrawlerDAO jpaCrawlerDAO = null;

    @Before
    public void before() {
        this.jpaCrawlerDAO = new JPACrawlerDAO();

    }

    // TODO Crawler Meta Data Insert
    @Test
    public void TestInsertList() {
        List<Crawler> crawlers = new ArrayList<Crawler>();

        Crawler crawler1 = new Crawler();
        crawler1.setName("SNMP Crawler");
        crawler1.setDescription("SNMP Crawler");
        crawler1.setCrawlerType("SNMP");

        Crawler crawler2 = new Crawler();
        crawler2.setName("WMI Crawler");
        crawler2.setDescription("WMI Crawler");
        crawler2.setCrawlerType("WMI");

        Crawler crawler3 = new Crawler();
        crawler3.setName("HTTP Crawler");
        crawler3.setDescription("HTTP Crawler");
        crawler3.setCrawlerType("Network");

        Crawler crawler4 = new Crawler();
        crawler4.setName("FTP Crawler");
        crawler4.setDescription("FTP Crawler");
        crawler4.setCrawlerType("Network");

        crawlers.add(crawler1);
        crawlers.add(crawler2);
        crawlers.add(crawler3);
        crawlers.add(crawler4);

        this.jpaCrawlerDAO.createAll(crawlers);
    }

    @Test
    public void TestInsert() {
        Crawler crawler = new Crawler();
        crawler.setName("Mysql Crawler");
        crawler.setDescription("Mysql Crawler");
        crawler.setCrawlerType("MysqlCrawler");
        this.jpaCrawlerDAO.create(crawler);
    }
    // TODO Crawler Select Test

    @Test
    public void TestListAll() {
        List<Crawler> ls = this.jpaCrawlerDAO.findAll();
        System.out.println(ls.size());
    }
    // TODO Crawler Update Test

    // TODO Crawler Delete Test
}