package com.loafle.overflow.crawler.dao;

import com.loafle.overflow.crawler.model.CrawlerInputItem;
import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;

import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by geek@loafle.com on 17. 6. 8.
 */
@Ignore
public class JPACrawlerInputItemDAOTest {

    private JPACrawlerInputItemDAO inputItemDAO = null;

    @Before
    public void before() {
        this.inputItemDAO = new JPACrawlerInputItemDAO();
    }

    @Test
    public void TestInsertList() {
        List<CrawlerInputItem> cris = new ArrayList<CrawlerInputItem>();

        CrawlerInputItem item1 = new CrawlerInputItem();
        item1.setName("ID");
        item1.setDataType("String");
        item1.setDescription("Auth ID");

        CrawlerInputItem item2 = new CrawlerInputItem();
        item2.setName("PW");
        item2.setDataType("String");
        item2.setDescription("Auth PW");

        CrawlerInputItem item3 = new CrawlerInputItem();
        item3.setName("AuthType");
        item3.setDataType("Select");
        item3.setDescription("MD5||SHA");

        CrawlerInputItem item4 = new CrawlerInputItem();
        item4.setName("community");
        item4.setDataType("String");
        item4.setDescription("community");

        CrawlerInputItem item5 = new CrawlerInputItem();
        item5.setName("textfield");
        item5.setDataType("String");
        item5.setDescription("User ID");

        cris.add(item1);
        cris.add(item2);
        cris.add(item3);
        cris.add(item4);
        cris.add(item5);

        this.inputItemDAO.createAll(cris);
    }
}