package com.loafle.overflow.email.dao;

import com.loafle.overflow.email.model.EmailAuth;
import com.loafle.overflow.member.model.Member;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;

import java.util.Date;
import java.util.List;

/**
 * Created by geek@loafle.com on 17. 6. 6.
 */
@Ignore
public class JPAEmailAuthDAOTest {

    private JPAEmailAuthDAO emailAuthDAO = null;

    @Before
    public void before() {

        this.emailAuthDAO = new JPAEmailAuthDAO();
    }

    @Test
    @Ignore
    public void createEmailAuth() {
        EmailAuth auth = new EmailAuth();

        auth.setAuthToken("0F2003A6-83B0-40F5-B56A-0485F458CA911");
        auth.setMember(new Member(Long.valueOf(1)));
        auth.setIsInvalid(false);
//        auth.setUpdateDate(new Date());
        auth.setIsConfirm(false);
        EmailAuth ret = emailAuthDAO.create(auth);
        System.out.println(ret.getId());
    }

    @Test
    @Ignore
    public void updateEmailAuth() {
        EmailAuth auth = this.emailAuthDAO.find("1");

        auth.setIsInvalid(true);
        auth.setUpdateDate(new Date());
        auth.setConfirmDate(new Date());

        this.emailAuthDAO.update(auth);
        System.out.println(auth.getConfirmDate());
    }

    @Test
    @Ignore
    public void TestFindByAuthToken() {
        EmailAuth auth = new EmailAuth();
        auth.setAuthToken("3C03F8AB-1D4D-4C8A-8C36-EE2D644988B5");

        EmailAuth temp = this.emailAuthDAO.findByAuthToken(auth);

        System.out.println(temp.getId());
        Assert.assertNotNull(temp);
    }

    @Test
    @Ignore
    public void TestFindByMemberId() {
        EmailAuth auth = new EmailAuth();
        auth.setMember(new Member((long)4));
        List<EmailAuth> ems = this.emailAuthDAO.findByMemberId(auth);

        System.out.println(ems.get(0).getMember().getEmail());
        Assert.assertEquals((long)1, (long)ems.size());
    }
}